#ifndef SLAM_INTERFACE_H
#define SLAM_INTERFACE_H

#include "data_manager/data_manager.h"
#include "data/package_line.h"

namespace slam
{

    class SlamManager
    {
    public:
        SlamManager(){};
        //~SlamManager(){};
        
        void Init();

        void InputImuData2Slam(slam::ImuData _imu);
        void InputGnssData2Slam(slam::GnssData _gnss);
        void InputInsData2Slam(slam::InsData _ins);
        void InputVehicleData2Slam(slam::VehicleData _can);
        void InputVisionData2Slam(slam::RoadFrame _cam);

        bool GetDecisionResultBySlam(slam::ControlWaypoints* _cyp);
        bool GetOdomResultBySlam(slam::slam_odometry* _odom);
        bool GetRMResultBySlam(slam::slam_road_model* _rm);

    private:
         std::shared_ptr<PackageLine> pack_line_ptr;
    };
}

#endif // SLAM_INTERFACE_H
